Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# /export2/deucetmp/bala/release_try/ACE_wrappers/ace/TSS_Adapter.h File Reference

`#include "ace/ACE_export.h"`
`#include "ace/TSS_Adapter.inl"`

Include dependency graph for TSS_Adapter.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | ACE_TSS_Adapter
| This class encapsulates a TSS object and its associated C++ destructor function. It is used by the ACE_TSS... methods (in Synch_T.cpp) in order to allow an extern "C" cleanup routine to be used. Needed by the "frigging" MVS C++ compiler. More...

## Detailed Description

Id:
  TSS_Adapter.h,v 4.1 2003/08/04 03:53:53 dhinton Exp

Originally in Synch.h

Author:
  Douglas C. Schmidt <schmidt@cs.wustl.edu>